# Uses of Class
net.shibboleth.idp.plugin.authn.webauthn.storage.EnhancedCredentialRecord

Packages that use EnhancedCredentialRecord
Package
Description
net.shibboleth.idp.plugin.authn.webauthn.admin.impl
This package has audit functions for WebAuthn.
net.shibboleth.idp.plugin.authn.webauthn.context
Context APIs for WebAuthn.
net.shibboleth.idp.plugin.authn.webauthn.impl
This package has an authentication implementation for WebAuthn.
net.shibboleth.idp.plugin.authn.webauthn.policy
This package contains the APIs for authentication policies.
net.shibboleth.idp.plugin.authn.webauthn.policy.impl
This package has authentication policy implementations.

## Uses of EnhancedCredentialRecord in net.shibboleth.idp.plugin.authn.webauthn.admin.impl

Fields in net.shibboleth.idp.plugin.authn.webauthn.admin.impl with type parameters of type EnhancedCredentialRecord
Modifier and Type
Field
Description
`private Function<ProfileRequestContext,Collection<EnhancedCredentialRecord>>`
LabelCredentialRecords.`credentialsLookupStrategy`
The credential record lookup strategy.
`private BiFunction<EnhancedCredentialRecord,ProfileRequestContext,List<String>>`
LabelCredentialRecords.`labeller`
The labeller used to generate labels for the credential, for display only.
`private final List<BiFunction<EnhancedCredentialRecord,ProfileRequestContext,List<String>>>`
ChainingCredentialLabeller.`labellers`
The chain of credential labellers to use.
Methods in net.shibboleth.idp.plugin.authn.webauthn.admin.impl that return types with arguments of type EnhancedCredentialRecord
Modifier and Type
Method
Description
`Collection<EnhancedCredentialRecord>`
AdminSearchCredentialsLookupFunction.`apply(ProfileRequestContext input)`
`Collection<EnhancedCredentialRecord>`
ExistingRegistrationCredentialsLookupStrategy.`apply(ProfileRequestContext input)`
Methods in net.shibboleth.idp.plugin.authn.webauthn.admin.impl with parameters of type EnhancedCredentialRecord
Modifier and Type
Method
Description
`List<String>`
ChainingCredentialLabeller.`apply(EnhancedCredentialRecord credential, ProfileRequestContext prc)`
`List<String>`
PasskeyCredentialLabeller.`apply(EnhancedCredentialRecord cred, ProfileRequestContext prc)`
`List<String>`
SecondFactorOnlyCredentialLabeller.`apply(EnhancedCredentialRecord cred, ProfileRequestContext prc)`
Method parameters in net.shibboleth.idp.plugin.authn.webauthn.admin.impl with type arguments of type EnhancedCredentialRecord
Modifier and Type
Method
Description
`void`
LabelCredentialRecords.`setCredentialsLookupStrategy(Function<ProfileRequestContext,Collection<EnhancedCredentialRecord>> strategy)`
Set the lookup strategy to find credentials to attach capabilities to.
`void`
LabelCredentialRecords.`setLabeller(BiFunction<EnhancedCredentialRecord,ProfileRequestContext,List<String>> labellerIn)`
Set the labeller used to generate labels for the credential, for display only.
Constructor parameters in net.shibboleth.idp.plugin.authn.webauthn.admin.impl with type arguments of type EnhancedCredentialRecord
Modifier
Constructor
Description
``
`ChainingCredentialLabeller(List<BiFunction<EnhancedCredentialRecord,ProfileRequestContext,List<String>>> labellersIn)`
Constructor.

## Uses of EnhancedCredentialRecord in net.shibboleth.idp.plugin.authn.webauthn.context

Fields in net.shibboleth.idp.plugin.authn.webauthn.context with type parameters of type EnhancedCredentialRecord
Modifier and Type
Field
Description
`private Collection<EnhancedCredentialRecord>`
BaseWebAuthnContext.`existingCredentials`
Credentials that have already been registered with the IdP.
`private Collection<EnhancedCredentialRecord>`
WebAuthnManagementContext.`foundCredentials`
The located set of credentials registered for the given searchUsername.
Methods in net.shibboleth.idp.plugin.authn.webauthn.context that return types with arguments of type EnhancedCredentialRecord
Modifier and Type
Method
Description
`Collection<EnhancedCredentialRecord>`
BaseWebAuthnContext.`getExistingCredentials()`
Get the user's credentials that have already been registered with the credential repository.
`Collection<EnhancedCredentialRecord>`
WebAuthnManagementContext.`getFoundCredentials()`
Get the credentials found to belong to the given searchUsername.
Method parameters in net.shibboleth.idp.plugin.authn.webauthn.context with type arguments of type EnhancedCredentialRecord
Modifier and Type
Method
Description
`BaseWebAuthnContext`
BaseWebAuthnContext.`setExistingCredentials(Collection<EnhancedCredentialRecord> credentials)`
Set the user's credentials that have already been registered with the credential repository.
`WebAuthnManagementContext`
WebAuthnManagementContext.`setFoundCredentials(Collection<EnhancedCredentialRecord> credentials)`
Set the credentials found to belong to the given searchUsername.

## Uses of EnhancedCredentialRecord in net.shibboleth.idp.plugin.authn.webauthn.impl

Methods in net.shibboleth.idp.plugin.authn.webauthn.impl that return types with arguments of type EnhancedCredentialRecord
Modifier and Type
Method
Description
`Collection<EnhancedCredentialRecord>`
ExistingAuthenticationCredentialsLookupStrategy.`apply(ProfileRequestContext input)`
`protected Collection<EnhancedCredentialRecord>`
AbstractWebAuthnAction.`enhancedCredentialRecord(Collection<CredentialRecord> credentials)`
Create `EnhancedCredentialRecords` from the given `CredentialRecords` and add any appropriate metadata to each record.
Methods in net.shibboleth.idp.plugin.authn.webauthn.impl with parameters of type EnhancedCredentialRecord
Modifier and Type
Method
Description
`static boolean`
WebAuthnEncoder.`isAuthenticatorMetadataAttached(EnhancedCredentialRecord cred)`
Does the credential have attached metadata.

## Uses of EnhancedCredentialRecord in net.shibboleth.idp.plugin.authn.webauthn.policy

Methods in net.shibboleth.idp.plugin.authn.webauthn.policy with parameters of type EnhancedCredentialRecord
Modifier and Type
Method
Description
`CredentialPolicy.CredentialPolicyOutcome`
CredentialPolicy.`evaluate(EnhancedCredentialRecord credential, ProfileRequestContext prc)`
Execute the policy.

## Uses of EnhancedCredentialRecord in net.shibboleth.idp.plugin.authn.webauthn.policy.impl

Fields in net.shibboleth.idp.plugin.authn.webauthn.policy.impl with type parameters of type EnhancedCredentialRecord
Modifier and Type
Field
Description
`private BiPredicate<EnhancedCredentialRecord,ProfileRequestContext>`
AbstractCredentialPolicyRule.`activationCondition`
Does this policy rule apply? Default is true.
`private BiFunction<EnhancedCredentialRecord,FunctionalRuleContext,CredentialPolicy.CredentialPolicyOutcome>`
FunctionalCredentialPolicyRule.`rule`
The function to run.
Methods in net.shibboleth.idp.plugin.authn.webauthn.policy.impl with parameters of type EnhancedCredentialRecord
Modifier and Type
Method
Description
`protected abstract CredentialPolicy.CredentialPolicyOutcome`
AbstractCredentialPolicyRule.`doEvaluate(EnhancedCredentialRecord credential, ProfileRequestContext prc, WebAuthnAuthenticationContext webAuthnContext)`
Execute the policy.
`protected CredentialPolicy.CredentialPolicyOutcome`
ChainingCredentialPolicyRule.`doEvaluate(EnhancedCredentialRecord credential, ProfileRequestContext prc, WebAuthnAuthenticationContext webAuthnContext)`
Execute the policy.
`protected CredentialPolicy.CredentialPolicyOutcome`
FunctionalCredentialPolicyRule.`doEvaluate(EnhancedCredentialRecord credential, ProfileRequestContext prc, WebAuthnAuthenticationContext webAuthnContext)`
Execute the policy.
`CredentialPolicy.CredentialPolicyOutcome`
SecondFactorOnlyCredentialPolicyRule.`doEvaluate(EnhancedCredentialRecord credential, ProfileRequestContext prc, WebAuthnAuthenticationContext webAuthnContext)`
Execute the policy.
`CredentialPolicy.CredentialPolicyOutcome`
AbstractCredentialPolicyRule.`evaluate(EnhancedCredentialRecord credential, ProfileRequestContext prc)`
Execute the policy.
Method parameters in net.shibboleth.idp.plugin.authn.webauthn.policy.impl with type arguments of type EnhancedCredentialRecord
Modifier and Type
Method
Description
`void`
AbstractCredentialPolicyRule.`setActivationConditionStrategy(BiPredicate<EnhancedCredentialRecord,ProfileRequestContext> condition)`
Set an activation condition for this policy rule.
`void`
FunctionalCredentialPolicyRule.`setRule(BiFunction<EnhancedCredentialRecord,FunctionalRuleContext,CredentialPolicy.CredentialPolicyOutcome> function)`
Set the policy function to run.